Subject: Popular Electronics

From: Marvin Johnston <[email-masked]>
Date: Sat Mar 22 15:25:02 2003

Just a heads up in case anyone here is interested, Ebay has what appears
to be a complete or nearly complete set of library bound Popular
Electronics. The kicker is that the descriptions says pickup in
Tennessee or mutual agreement. This seems like a *really* great buy
since it also includes 1975 (the MITS Altair issues). The auction number
is
http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=3014129873&category=15050.
Current price is $49.99 but was "stuck" at $49.95 for a few days with a
BIN of $75.00.